网站
GET https://zeusfishing.com/api/websites/
curl --request GET \
--url 'https://zeusfishing.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zeusfishing.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您按哪个字段搜索。允许的值为:name, host。 |
| is_enabled | 可选 整数 | |
| tracking_type | 可选 字符串 | 允许的值:normal, lightweight |
| domain_id | 可选 整数 | |
| datetime_field | 可选 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选 字符串 | 按哪个字段对结果进行排序。允许的值为:website_id, datetime, last_datetime, name, host, current_month_sessions_events。 |
| order_type | 可选 字符串 | 结果的排序方式。允许的值为:ASC表示升序,DESC表示降序。 |
| page | 可选 整数 | 您想要结果的页码。默认为1。 |
| results_per_page | 可选 整数 | 您希望每页有多少结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-05-29 21:31:56",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://zeusfishing.com/api/websites?page=1",
"last": "https://zeusfishing.com/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://zeusfishing.com/api/websites?page=1"
}
}
GET https://zeusfishing.com/api/websites/{website_id}
curl --request GET \
--url 'https://zeusfishing.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zeusfishing.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-05-29 21:31:56",
"last_datetime": null
}
}
POST https://zeusfishing.com/api/websites
| 参数 | 详情 | 描述 |
|---|---|---|
| domain_id | 可选 整数 | - |
| name | 必填 字符串 | - |
| scheme | 可选 字符串 | 允许的值:http://, https:// |
| host | 必填 字符串 | 示例:example.com/path。 |
| tracking_type | 可选 字符串 | 允许的值:lightweight, normal |
| excluded_ips | 可选 字符串 | 从跟踪中排除IP。输入逗号分隔的值。 |
| outbound_clicks_is_enabled | 可选 布尔值 | |
| events_children_is_enabled | 可选 布尔值 | 跟踪访客事件(鼠标点击、调整大小、滚动、表单提交)。允许的值为:0或1。仅适用于normal跟踪类型。 |
| sessions_replays_is_enabled | 可选 布尔值 | 会话重放。允许的值为:0或1。仅适用于normal跟踪类型。 |
| sessions_replays_hide_text_selector | 可选 字符串 | |
| email_reports_is_enabled | 可选 布尔值 | 电子邮件报告。允许的值为:0或1。 |
| query_parameters_tracking_is_enabled | 可选 布尔值 | - |
| bot_exclusion_is_enabled | 可选 布尔值 | - |
| public_statistics_is_enabled | 可选 布尔值 | - |
| public_statistics_password | 可选 字符串 | - |
| is_enabled | 可选 布尔值 | - |
curl --request POST \
--url 'https://zeusfishing.com/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
--url 'https://zeusfishing.com/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
POST https://zeusfishing.com/api/websites/{website_id}
| 参数 | 详情 | 描述 |
|---|---|---|
| domain_id | 可选 整数 | - |
| name | 可选 字符串 | - |
| scheme | 可选 字符串 | 允许的值:http://, https:// |
| host | 可选 字符串 | 示例:example.com/path。 |
| excluded_ips | 可选 字符串 | 从跟踪中排除IP。输入逗号分隔的值。 |
| outbound_clicks_is_enabled | 可选 布尔值 | |
| events_children_is_enabled | 可选 布尔值 | 跟踪访客事件(鼠标点击、调整大小、滚动、表单提交)。允许的值为:0或1。仅适用于normal跟踪类型。 |
| sessions_replays_is_enabled | 可选 布尔值 | 会话重放。允许的值为:0或1。仅适用于normal跟踪类型。 |
| sessions_replays_hide_text_selector | 可选 字符串 | |
| email_reports_is_enabled | 可选 布尔值 | 电子邮件报告。允许的值为:0或1。 |
| query_parameters_tracking_is_enabled | 可选 布尔值 | - |
| bot_exclusion_is_enabled | 可选 布尔值 | - |
| public_statistics_is_enabled | 可选 布尔值 | - |
| public_statistics_password | 可选 字符串 | - |
| is_enabled | 可选 布尔值 | - |
curl --request POST \
--url 'https://zeusfishing.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://zeusfishing.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://zeusfishing.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://zeusfishing.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://zeusfishing.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \